series: xenial
applications:
  "nova-cloud-controller":
    charm: "cs:~openstack-charmers-next/xenial/nova-cloud-controller"
    num_units: 1
    options:
      "network-manager": Neutron
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "1653.1931762695312"
      "gui-y": "549.4201991650908"
    to:
      - "lxd:cinder/0"
  "zookeeper":
    charm: "cs:zookeeper-33"
    num_units: 1
    to:
      - "lxd:cinder/0"
  "openstack-dashboard":
    charm: "cs:~openstack-charmers-next/xenial/openstack-dashboard"
    num_units: 1
    options:
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "359.8979797363281"
      "gui-y": "-579.3427479174287"
    to:
      - "lxd:neutron-api/0"
  "rabbitmq-server":
    charm: "cs:~openstack-charmers-next/xenial/rabbitmq-server"
    num_units: 1
    annotations:
      "gui-x": "667.1217803955078"
      "gui-y": "-426.17329906488965"
    to:
      - "lxd:neutron-api/0"
  glance:
    charm: "cs:~openstack-charmers-next/xenial/glance"
    num_units: 1
    options:
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "948.41796875"
      "gui-y": "-115.34592174555371"
    to:
      - "lxd:cinder/0"
  "nova-compute":
    charm: "cs:~openstack-charmers-next/xenial/nova-compute"
    num_units: 3
    options:
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "1352"
      "gui-y": "-448"
    to:
      - "1"
      - "2"
      - "5" 
  "neutron-gateway":
    charm: "cs:~openstack-charmers-next/xenial/neutron-gateway"
    num_units: 1
    options:
      "flat-network-providers": provider
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "2126.1931762695312"
      "gui-y": "46.42019916509082"
    to:
      - "3"
  "cinder-hs":
    charm: "cs:~openstack-charmers-next/xenial/cinder"
    num_units: 1
    options:
      "enabled-services": volume
      "openstack-origin": "cloud:xenial-pike"
    to:
      - "4"
  keystone:
    charm: "cs:keystone"
    num_units: 1
    options:
      "admin-password": root123
      "openstack-origin": cloud:xenial-pike
      "preferred-api-version": 3
    annotations:
      "gui-x": "-316"
      "gui-y": "-676"
    to:
      - "lxd:neutron-api/0"
  ceilometer:
    charm: "cs:ceilometer-242"
    num_units: 1
    options:
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "461.23162841796875"
      "gui-y": "1234.4329173657743"
    to:
      - "lxd:neutron-api/0"
  "neutron-openvswitch":
    charm: "cs:~openstack-charmers-next/xenial/neutron-openvswitch"
    annotations:
      "gui-x": "649.0599365234375"
      "gui-y": "1433.323481330618"
  "neutron-api":
    charm: "cs:~openstack-charmers-next/xenial/neutron-api"
    num_units: 1
    options:
      "flat-network-providers": provider
      "neutron-security-groups": true
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "964.2037353515625"
      "gui-y": "375.18041492436816"
    to:
      - "3"
  mongodb:
    charm: "cs:mongodb-43"
    num_units: 1
    annotations:
      "gui-x": "2048.1931762695312"
      "gui-y": "644.4201991650908"
    to:
      - "lxd:cinder/0"
  mysql:
    charm: "cs:~openstack-charmers-next/xenial/percona-cluster"
    num_units: 1
    options:
      "max-connections": 100000
      "innodb-buffer-pool-size": 256M
    annotations:
      "gui-x": "-1137.6124725341797"
      "gui-y": "758.9260051343291"
    to:
      - "lxd:cinder/0"
  "ceilometer-agent":
    charm: "cs:ceilometer-agent-237"
    annotations:
      "gui-x": "-336"
      "gui-y": "-104"
  cinder:
    charm: "cs:~openstack-charmers-next/xenial/cinder"
    num_units: 1
    options:
      "openstack-origin": cloud:xenial-pike
    annotations:
      "gui-x": "-186.80682373046875"
      "gui-y": "1469.4201381299345"
    to:
      - "0"
relations:
  - - "neutron-gateway:quantum-network-service"
    - "nova-cloud-controller:quantum-network-service"
  - - "cinder:identity-service"
    - "keystone:identity-service"
  - - "cinder:shared-db"
    - "mysql:shared-db"
  - - "nova-cloud-controller:image-service"
    - "glance:image-service"
  - - "keystone:shared-db"
    - "mysql:shared-db"
  - - "cinder:amqp"
    - "rabbitmq-server:amqp"
  - - "ceilometer-agent:nova-ceilometer"
    - "nova-compute:nova-ceilometer"
  - - "cinder:cinder-volume-service"
    - "glance:cinder-volume-service"
  - - "nova-cloud-controller:shared-db"
    - "mysql:shared-db"
  - - "ceilometer:identity-service"
    - "keystone:identity-service"
  - - "nova-compute:image-service"
    - "glance:image-service"
  - - "nova-cloud-controller:identity-service"
    - "keystone:identity-service"
  - - "nova-compute:cloud-compute"
    - "nova-cloud-controller:cloud-compute"
  - - "neutron-api:amqp"
    - "rabbitmq-server:amqp"
  - - "nova-compute:neutron-plugin"
    - "neutron-openvswitch:neutron-plugin"
  - - "nova-cloud-controller:amqp"
    - "rabbitmq-server:amqp"
  - - "cinder:image-service"
    - "glance:image-service"
  - - "neutron-api:shared-db"
    - "mysql:shared-db"
  - - "nova-compute:amqp"
    - "rabbitmq-server:amqp"
  - - "glance:shared-db"
    - "mysql:shared-db"
  - - "neutron-openvswitch:neutron-plugin-api"
    - "neutron-api:neutron-plugin-api"
  - - "openstack-dashboard:identity-service"
    - "keystone:identity-service"
  - - "neutron-openvswitch:amqp"
    - "rabbitmq-server:amqp"
  - - "keystone:identity-service"
    - "glance:identity-service"
  - - "neutron-gateway:amqp"
    - "rabbitmq-server:amqp"
  - - "neutron-api:identity-service"
    - "keystone:identity-service"
  - - "ceilometer:shared-db"
    - "mongodb:database"
  - - "ceilometer:amqp"
    - "rabbitmq-server:amqp"
  - - "neutron-gateway:neutron-plugin-api"
    - "neutron-api:neutron-plugin-api"
  - - "cinder:cinder-volume-service"
    - "nova-cloud-controller:cinder-volume-service"
  - - "ceilometer-agent:ceilometer-service"
    - "ceilometer:ceilometer-service"
  - - "nova-cloud-controller:neutron-api"
    - "neutron-api:neutron-api"
  - - "cinder-hs:shared-db"
    - "mysql:shared-db"
  - - "cinder-hs:amqp"
    - "rabbitmq-server:amqp"

machines:
  "0":
    series: xenial
  "1":
    series: xenial
  "2":
    series: xenial
  "3":
    series: xenial
  "4":
    series: xenial
  "5":
    series: xenial
